Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2556
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 18.03.2014, 22:21  postituse pealkiri:  (teema puudub)  

Firefox all uuri kas Add-Ons all on kenasti Extensions ja Plugins alt ID kaardi asjad lubatud.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

Parnakas
Pingviini kasutaja
Pingviini kasutaja


Vanus: 39
Liitunud: 04.05.2007
Postitused: 45
Asukoht: Tallinn/Väike-Maarja
Distributsioon: Ubuntu 14.04
estonia.gif
postituspostitatud: 18.03.2014, 23:26  postituse pealkiri:  (teema puudub)  

imre kirjutas:
Firefox all uuri kas Add-Ons all on kenasti Extensions ja Plugins alt ID kaardi asjad lubatud.


hüpikaknad on lubatud ja ID-kaardi Extensions ja Plugins on aktiivsed.

Tundub, et Linux siiski ei suuda teha häid ja toimivaid lahendusi. Pean vist minema tagasi koledale ja ebamugavale Estobuntule. Seal vähemalt ID-kaart toimis.


ertserts
Vana Pingviin
Vana Pingviin



Liitunud: 31.10.2013
Postitused: 431
Asukoht: Tallinn
Distributsioon: Ubuntu, Debian
estonia.gif
postituspostitatud: 19.03.2014, 01:37  postituse pealkiri:  (teema puudub)  

ID-kaardi softi puhul on ikka kõige õigem koht https://installer.id.ee/

Kui teed nii nagu Natsa ja Spott kirjutasid (minagi teen samaselt) siis see id-kaart peaks hakkama tööle nii Ubuntu kui Linux Mint distros.

Samas tuleks ka seda meeles pidada et kui näiteks läbi id-kaardi graafilise utiliidi asi töötab siis katsetada ka paralleelselt erinevaid kodukaid (eesti.ee, pangad jms). Ja ikka ja alati tegutseda skeemiga: a) brauser täiesti kinni b) id-kaart sisse, c) brauser uuesti lahti.

Mul näiteks töötab id-kaart Xubuntu 12.04 LTS ja Linux Mint 13 LTS. Kasutasin id.ee koduka softi: automaatset paigaldusskripti ja muutsin distro nime apt repos ära (Linux Mint puhul):

/etc/apt/sources.list.d/ria-repository.list :
deb https://installer.id.ee/media/ubuntu/ precise main

_________________
ertserts@linuxialune:~$ echo;echo Local and Remote IP connections:;netstat -at|sort -k5|grep ESTABLISHED|cut -c20-80;echo

mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 19.03.2014, 09:59  postituse pealkiri:  (teema puudub)  

Parnakas kirjutas:


Argumendid: qesteidutil
Teegi otsing: /usr/lib/x86_64-linux-gnu/qt5/plugins;/usr/bin
Teegid:
libdigidoc2 (3.8.0.1133-ubuntu-13-10)
libdigidocpp0 (3.8.0.1208-ubuntu-13-10)
qdigidoc (0.4.1-0ubuntu1)
qesteidutil (3.8.0.1106-ubuntu-13-10)
openssl (1.0.1e-3ubuntu1.1)
libpcsclite1 (1.8.6-3ubuntu1b1)
opensc (0.13.0-3ubuntu1)
QT (5.0.2)



Paistab, et oled mingi sasipuntra kokku keeranud. Qdigidoci versioon küll selline ei ole, mis sa välja tõid. Peaks olema 3.8.1 vms.

Arvatavasti tuli kompott masinasse selle
sudo apt-get install qdigidoc qestidutil mozzilla-esteid thunderbird-esteid
käsuga.

Võta kõik ID-kaardindusega seotud pakid maha ja lase skriptiga uuesti peale. Võimalik, et siis hakkab id-kaardi värk korralikult tööle.


natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 19.03.2014, 10:04  postituse pealkiri:  (teema puudub)  

Parnakas kirjutas:
imre kirjutas:
Firefox all uuri kas Add-Ons all on kenasti Extensions ja Plugins alt ID kaardi asjad lubatud.


hüpikaknad on lubatud ja ID-kaardi Extensions ja Plugins on aktiivsed.

Tundub, et Linux siiski ei suuda teha häid ja toimivaid lahendusi. Pean vist minema tagasi koledale ja ebamugavale Estobuntule. Seal vähemalt ID-kaart toimis.


Vaata, kas sertifikaadid on firefoksis olemas.

https://www.sk.ee/repositoorium/sk-sertifikaadid/

Kõpsa kehtival serdil ja ta ütleb ise kui on olemas, puuduval serdil 3 linnukest paika ja OK

_________________
Kõige parem asi on töötav asi.

noorpingu
Külaline






postituspostitatud: 25.06.2015, 16:52  postituse pealkiri:  (teema puudub)  

Tere
Hakkasin ka äsja Linux Mint'ile (17.1 Cinnamon) ID-kaardi tarkvara peale panema. Tõmbasin tolle paigaldusskripti www.id.ee lehelt alla ja tegin ta lahti, et muuta OPSYS väärtus "trusty" peale (minul on varem töötanud). Aga erinevalt varasematest kordadest ei leidnud ma üles seda kohta, kus muudatust teha. Otsisin kogu dokumendi läbi, ikka ei leidnud. Proovisin veel mitmeid kordi alla laadida, ikka sama jama. Süübisin siis pisut koodi ja tuli välja, et kui see Linux Mint'i peal käima lasta, siis annab skript vastuseks "LinuxMint 17.1 is not officially supported". Lasin koodi käima ja nii juhtuski. Kas kellelgi on mingit head mõtet, kuidas ID-tarkvara siiski peale saada?


mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 25.06.2015, 20:24  postituse pealkiri:  (teema puudub)  

Nad on oma skripti muutnud, aga mis sellest Smile
Lähene loomingulisemalt.
Kood:

# check if Debian or Ubuntu
distro=`lsb_release -is`
release=`lsb_release -rs`
codename=`lsb_release -cs`


Kõigepealt vaata, mida need väärtused sul minitis tagastavad ja siis pane nad tagastama selliseid väärtusi, mis sobiksid ubutule. Katsu ka aru saada, mida see skript täpselt kontrollib ja teeb.


noorpingu
Külaline






postituspostitatud: 25.06.2015, 22:44  postituse pealkiri:  (teema puudub)  

Aitäh, Mihkel, vaimuergutuse eest! Sain oma pea ja ka koodi tööle.
Niisiis panin need lsb_release asjad terminali sisse, kõigepealt Linux Mindil:

Tsitaat:

keegi@mingiPC ~ $ lsb_release -is
LinuxMint
keegi@mingiPC ~ $ lsb_release -rs
17.1
keegi@mingiPC ~ $ lsb_release -cs
rebecca


Seejärel tegin sama asja Ubuntu 14.04 liveketta peal:

Tsitaat:

keegi@mingiPC ~ $ lsb_release -is
Ubuntu
keegi@mingiPC ~ $ lsb_release -rs
14.04
keegi@mingiPC ~ $ lsb_release -cs
trusty


Kirjutasin need saadud tulemused üles ja siirdusin tagasi Linux Mindi keskkonda. Võtsin tekstiredigeerijaga selle installiskripti lahti ja tegin sellise koodijupi:

Tsitaat:

# check if Debian or Ubuntu
distro=`lsb_release -is`
release=`lsb_release -rs`
codename=`lsb_release -cs`


selleks:

Tsitaat:

# check if Debian or Ubuntu
distro=Ubuntu
release=14.04
codename=trusty


kui muudatus tehtud, avasin terminali ja lasin koodi käima ning sain tööle!

Aitäh veelkord! Very Happy


Indrekus
Pingviini külastaja
Pingviini külastaja



Liitunud: 28.11.2009
Postitused: 30

Distributsioon: Linux Mint
estonia.gif
postituspostitatud: 27.06.2015, 10:44  postituse pealkiri:  (teema puudub)  

Kas ka tädi Maali maalt hakkama sellega saab? Rahvast küll proovitakse panna loobuma tasulisest Windowsist, et hakataks kasutama tasuta Linuxi laadset toodet, mis nagu töötab (kui oskad tööle panna) ja ei tööta ka (kui pole kedagi, kes tööle panna oskab).


tris

Troll - ära toida!
Troll - ära toida!



Liitunud: 23.08.2014
Postitused: 713

Distributsioon: Debian
estonia.gif
postituspostitatud: 27.06.2015, 11:25  postituse pealkiri:  (teema puudub)  

Indrekus kirjutas:
Kas ka tädi Maali maalt hakkama sellega saab? Rahvast küll proovitakse panna loobuma tasulisest Windowsist, et hakataks kasutama tasuta Linuxi laadset toodet, mis nagu töötab (kui oskad tööle panna) ja ei tööta ka (kui pole kedagi, kes tööle panna oskab).

Selle linuxiga on selline põnev nali. Ta on nagu Windows aga ei ole ka kui eemaldada omanduslikud binaarid.

Mingi Tädi Maali ei ole põhimõte:
https://www.fsf.org/blogs/rms/20140407-geneva-tedx-talk-free-software-free-society

_________________
ricochet:yckka6zlbxv767lz

noorpingu
Külaline






postituspostitatud: 27.06.2015, 11:29  postituse pealkiri:  (teema puudub)  

Nojah, eks see sõltu tädi Maalist. Kui tädi Maali oskab pisut koodi lugeda või siis suudab internetist kähku abi leida ning terminali ning skripte ei karda, siis saab ta selle muudatuse ise tehtud:

Tsitaat:


# check if Debian or Ubuntu
distro=Ubuntu
release=14.04
codename=trusty



siis veel navigeerib terminalis failini ja laseb selle "sh install-esteid-ubuntu.sh" abil käima.

Samas oleks seda 80-aastaselt Maalilt, kes on kogu elu maal tööd teinud ja minestab terminali nähes ära (arvates, et ta on midagi nässu keeranud), väga raske oodata. Kas tädi Maalil on keegi, kes teda aidata suudab? Kasvõi naaber, kes oskab pisut arvutivärki? Või siis lapselaps linnast, kes talle näiteks koolivaheajal külla tuleb? Kui aga pole sellist inimest (näiteks on Maali küla ainus elav inimene ning sugulased on maailmas laiali), siis on tõesti vesi ahjus.
Mind hakkas huvitama, kui palju neid üksikuid tädi Maalisid võiks Eestimaa peal elada. Kas võiks neid äkki kuidagi aidata? Mingisugune tuur üle Eesti? Või siis Vabavaratalgute ID-kaardi eri? Või siis aitame neile inimestele hoopis Estobuntu peale, kus ID-soft juba olemas?


tris

Troll - ära toida!
Troll - ära toida!



Liitunud: 23.08.2014
Postitused: 713

Distributsioon: Debian
estonia.gif
postituspostitatud: 27.06.2015, 11:40  postituse pealkiri:  (teema puudub)  

Kui tootjad lukustavad UEFI ainult WIndows 10 buutima(Microsofti võimalus 2015 aastal), siis pooled arvutid ei saa näha enam kunagi midagi peale Windows 10-ne.
Samas on Eesti kauplustel ja arvutiparandustel selle üle hea meel, ka Siim ja Andrus on õnnelik.

_________________
ricochet:yckka6zlbxv767lz

karuotisaba
Pingviini kasutaja
Pingviini kasutaja


Vanus: 57
Liitunud: 23.07.2009
Postitused: 92

Distributsioon: linux mint maya
estonia.gif
postituspostitatud: 05.07.2015, 19:23  postituse pealkiri:  (teema puudub)  

Paluks abi -

oliver@oliver-AMILO-Pa-2510 ~ $ sudo sh install-esteid-ubuntu.sh
You run this script as root. DO NOT RUN RANDOM SCRIPTS AS ROOT.
oliver@oliver-AMILO-Pa-2510 ~ $ sh install-esteid-ubuntu.sh
LinuxMint 17.1 is not officially supported


noorpingu
Külaline






postituspostitatud: 05.07.2015, 19:59  postituse pealkiri:  (teema puudub)  

Nagu juba varem öeldud, siis tee paigaldusskript lahti ja muuda see osa
Tsitaat:

# check if Debian or Ubuntu
distro=`lsb_release -is`
release=`lsb_release -rs`
codename=`lsb_release -cs`


Selliseks:

Tsitaat:

# check if Debian or Ubuntu
distro=Ubuntu
release=14.04
codename=trusty


Ei tohiks midagi ülikeerulist olla Very Happy


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2556
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 05.07.2015, 20:01  postituse pealkiri:  (teema puudub)  

paigaldus scripti poolt paar rida:
if test `id -u` -eq 0; then
echo "You run this script as root. DO NOT RUN RANDOM SCRIPTS AS ROOT."

Ehk - kui sa tavakasutajana annad käsu id -u siis on selle tulemus tõenäoliselt null (loe: 0)
Oled ehk oma süsteemi piisavalt muutnud, et id on null?

Sa võid seda skripti ju muuta ka.
Rida: if test `id -u` -eq 0; then
See asenda reaga: if test `id -u` -eq 1; then

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

karuotisaba
Pingviini kasutaja
Pingviini kasutaja


Vanus: 57
Liitunud: 23.07.2009
Postitused: 92

Distributsioon: linux mint maya
estonia.gif
postituspostitatud: 05.07.2015, 20:36  postituse pealkiri:  (teema puudub)  

Tänud, hakkas tööle.


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group